// Script layout for BVQX 2.2 and higher generated by ScriptFromUI Plugin

var bvqx = BrainVoyager; // use short symbol to access BrainVoyager QX API
var $find = bvqx.FindChild;
var $setfloat = bvqx.SetPluginFloatParameter;
var $setint = bvqx.SetPluginIntParameter;
var $setstring = bvqx.SetPluginStringParameter;
var $getstring = bvqx.GetPluginStringParameter;

var o = new Object;
o.dialogFileName   = "ModelTester.ui"; // specify name of file that will be used by BVQX to create your UI
o.dialogAccessName = "myDialog"; // specify the name you want to use for accessing your UI


o.initDlg = function()
{
   // connec UI elements to script functions - you need to know the names of your elements (check your definition)
   $find("browse_sdm1").clicked.connect(this, this.browse_sdm1);
   $find("browse_sdm2").clicked.connect(this, this.browse_sdm2);
   $find("start").clicked.connect(this, this.start);
   
   var sample_path = bvqx.PathToSampleData;
   var html_index = sample_path.replace("SampleData/", "Extensions/Plugins_64/ModelTesterHelp/ModelTester.html");
   var html_file =  "file:///".concat(html_index);
   $find("txtbr_help").source = new QUrl(html_file);
}


o.browse_sdm1 = function()
{   
   $setstring("task", "choose_sdm");
   bvqx.ExecutePlugin();
   var filename = $getstring("sdmfile");
   if (filename)
       $find("le_sdm1").text = filename;
}


o.browse_sdm2 = function()
{
   $setstring("task", "choose_sdm");
   bvqx.ExecutePlugin();
   var filename = $getstring("sdmfile");
   if (filename)
       $find("le_sdm2").text = filename;
}


o.start = function()
{
   $setint("tSNR1", $find("tSNR1").checked);
   $setint("R2adj1", $find("R2adj1").checked);
   $setint("tSNR2", $find("tSNR2").checked);
   $setint("R2adj3", $find("R2adj3").checked);
   $setint("Fmap", $find("Fmap").checked);
   $setint("R2adj2", $find("R2adj2").checked);
   $setint("tSNR3", $find("tSNR3").checked);
   $setint("residuals2", $find("residuals2").checked);
   $setint("residuals1", $find("residuals1").checked);
   $setfloat("fmr_treshold", $find("fmrTreshold").value);
   $setstring("sdmfile1", $find("le_sdm1").text);
   $setstring("sdmfile2", $find("le_sdm2").text);
   
   this.myDialog.close();
   
   $setstring("task", "start");
   bvqx.ExecutePlugin();
}


o;
